Recent

Author Topic: RXnew: RXnew does not compile in Lazarus 2.0.10  (Read 7209 times)

trev

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1983
  • Former Delphi 1-7, 10.2 user
Re: RXnew: RXnew does not compile in Lazarus 2.0.10
« Reply #15 on: January 13, 2022, 01:04:21 am »
The problem will continue to exist regardless of Lazarus version unless you contact the maintainer of the package to fix it.
Lazarus 2.3, FPC 3.3.1 macOS 12.3.1 x86_64 Xcode 13.4
Lazarus 2.3, FPC 3.3.1 macOS 12.3.1 aarch64 Xcode 13.4

dsiders

  • Hero Member
  • *****
  • Posts: 673
Re: RXnew: RXnew does not compile in Lazarus 2.0.10
« Reply #16 on: January 13, 2022, 03:50:26 am »
The problem will continue to exist regardless of Lazarus version unless you contact the maintainer of the package to fix it.

Or post a bug report to the CCR issue list at: https://gitlab.com/freepascal.org/lazarus/ccr/-/issues
Preview Lazarus 2.3.0 documentation at: https://dsiders.gitlab.io/lazdocsnext

wp

  • Hero Member
  • *****
  • Posts: 9920
Re: RXnew: RXnew does not compile in Lazarus 2.2
« Reply #17 on: January 13, 2022, 04:35:12 pm »
It's same problem in new lazarus 2.2.0
No. The issue has been fixed in rx-trunk on Nov 30,2021 by the package maintainer. rxnew compiles with every Lazarus version. But be aware: This is not true for the version which is distributed by online-package-manager (OPM)

kinu

  • New Member
  • *
  • Posts: 14
Re: RXnew: RXnew does not compile in Lazarus 2.2
« Reply #18 on: March 14, 2022, 11:40:59 am »
It's same problem in new lazarus 2.2.0
No. The issue has been fixed in rx-trunk on Nov 30,2021 by the package maintainer. rxnew compiles with every Lazarus version. But be aware: This is not true for the version which is distributed by online-package-manager (OPM)

Hello. Where can I get the package? Could you link it, please?

alexs75

  • Full Member
  • ***
  • Posts: 111

kinu

  • New Member
  • *
  • Posts: 14

 

TinyPortal © 2005-2018